%define name galculator 
%define version 1.3.4
%define release %mkrel 1

Name: %{name} 
Summary: Galculator is a GTK 2 based calculator 
Version: %{version} 
Release: %{release} 
Source: http://prdownloads.sourceforge.net/galculator/%{name}-%{version}.tar.xz
Source1: gcalc-icons.tar.bz2
URL: http://galculator.sourceforge.net/ 
Group: Office 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License: GPL
BuildRequires: %{_lib}glade2.0_0-devel
BuildRequires: desktop-file-utils

%description
Galculator is a calculator that features two user modes: basic and
scientific mode.  Basic mode is intended for simple computations.
Only the most important operations and functions are available in
algebraic mode as well as in Reverse Polish Mode.

%prep 
rm -rf $RPM_BUILD_ROOT

%setup -q 
tar xjf %{SOURCE1}

%build 
%configure2_5x 
%make

%install 
%makeinstall


# Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Galculator
Comment=Perform simple and scientific calculations
Comment[de]=Ausführen von einfachen und wissenschaftlichen Berechnungen
Comment[ja]=単純な科学計算を実行します
Comment[pl]=Wykonaj proste lub naukowe obliczenia
Comment[pt_BR]=Executa cálculos simples e científicos
Exec=galculator
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Utility;X-MandrivaLinux-Office-Accessories;Office;
StartupNotify=true
Encoding=UTF-8
EOF

#dont use these, put icons in proper place or use imagemagik to convert it.
rm -rf  %buildroot%{_datadir}/pixmaps/galculator/galculator.svg
rm -rf  %buildroot%{_datadir}/pixmaps/galculator/galculator_48x48.png

mkdir -p %buildroot/%_iconsdir
cp -a galculator.png mini large %buildroot/%_iconsdir

%find_lang  %{name}
%clean 
rm -rf $RPM_BUILD_ROOT

#Add Post scripts
%post
%{update_desktop_database}

%postun
%{clean_desktop_database}



%files -f %{name}.lang
%defattr(-,root,root,0755) 
%{_bindir}/galculator
%{_datadir}/galculator/*
%dir %{_datadir}/galculator
%{_mandir}/man1/galculator.1.*
%{_datadir}/applications/galculator.desktop
%doc ABOUT-NLS AUTHORS COPYING INSTALL NEWS README THANKS TODO ChangeLog doc/shortcuts
%{_miconsdir}/galculator.png
%{_iconsdir}/galculator.png
%{_liconsdir}/galculator.png
%{_datadir}/pixmaps/galculator.png
%{_datadir}/pixmaps/galculator.svg
%{_datadir}/pixmaps/galculator.xpm

%changelog
* Mon Nov 21 2011 Texstar <texstar at gmail.com> 1.3.4-2pclos2011
- update 32/64

* Sun Aug 23 2009 Anikan <mamifer0 at msn dot com> 1.3.4-1pclos2009
- 1.3.4

